! Gulf velocity function
program Vel
use sep
implicit none
real, allocatable, dimension (:) :: vrms
integer i,n1,n2,n3
real alpha, beta, twater
real vwater, d1
integer getch,hetch,putch
call initpar()

  call from_history("n1", n1)
  call from_history("d1", d1)
  call from_history("n2", n2, 1)
  call from_history("n3", n3, 1)

  call from_param("vwater", vwater, 1475.)
  call from_param("alpha" , alpha , 400. )
  call from_param("beta"  , beta  , .6  )
  call from_param("twater", twater)

  call to_history("n1", n1)
  call to_history("d1", d1)
  call to_history("n2", n2)
  call to_history("n3", n3)

  allocate (vrms(n1))

call hclose()
vrms=0
do i=1,n1
  if ( i*d1 > twater ) then
    vrms(i)=vwater + alpha * (i*d1 - twater)**beta
  else
    vrms(i)=vwater
  end if
end do
call srite( 'out', vrms, n1*4)

end program Vel

